Overview | Modules | Class Hierarchy | Classes | Members

Public Types | Public Member Functions | Protected Attributes
tlp::MouseSelector Class Reference
Mouse_interactor

`#include <MouseSelector.h>`

Inheritance diagram for tlp::MouseSelector:
[legend]
Collaboration diagram for tlp::MouseSelector:
[legend]

List of all members.

## Public Types

- enum SelectionMode { EdgesAndNodes = 0, EdgesOnly, NodesOnly }

## Public Member Functions

- MouseSelector (Qt::MouseButton button=Qt::LeftButton, Qt::KeyboardModifier modifier=Qt::NoModifier)
- ~MouseSelector ()
- bool draw (GlMainWidget *)
- bool eventFilter (QObject *, QEvent *)
- InteractorComponent * clone ()
- MouseSelector (Qt::MouseButton button, Qt::KeyboardModifier modifier, SelectionMode mode)

## Protected Attributes

- Qt::MouseButton mButton
- Qt::KeyboardModifier kModifier
- Qt::KeyboardModifiers mousePressModifier
- unsigned int x
- unsigned int y
- int w
- int h
- bool started
- Graph * graph
- SelectionMode _mode

## Member Enumeration Documentation

enum tlp::MouseSelector::SelectionMode

Enumerator:

  EdgesAndNodes |
  EdgesOnly |
  NodesOnly |

## Constructor & Destructor Documentation

tlp::MouseSelector::MouseSelector | ( | Qt::MouseButton | button = `Qt::LeftButton`,
|  | Qt::KeyboardModifier | modifier = `Qt::NoModifier`
| ) |  |

tlp::MouseSelector::~MouseSelector | ( |  | ) | `[inline]`

tlp::MouseSelector::MouseSelector | ( | Qt::MouseButton | button,
|  | Qt::KeyboardModifier | modifier,
|  | SelectionMode | mode
| ) |  |

## Member Function Documentation

InteractorComponent* tlp::MouseSelector::clone | ( |  | ) | `[inline, virtual]`

Clone this interactor component

Implements tlp::InteractorComponent.

bool tlp::MouseSelector::draw | ( | GlMainWidget * |  | ) | `[virtual]`

This function draw interactor

Reimplemented from tlp::InteractorComponent.

bool tlp::MouseSelector::eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |  |

## Member Data Documentation

SelectionMode tlp::MouseSelector::_mode`[protected]`

Graph* tlp::MouseSelector::graph`[protected]`

int tlp::MouseSelector::h`[protected]`

Qt::KeyboardModifier tlp::MouseSelector::kModifier`[protected]`

Qt::MouseButton tlp::MouseSelector::mButton`[protected]`

Qt::KeyboardModifiers tlp::MouseSelector::mousePressModifier`[protected]`

bool tlp::MouseSelector::started`[protected]`

int tlp::MouseSelector::w`[protected]`

unsigned int tlp::MouseSelector::x`[protected]`

unsigned int tlp::MouseSelector::y`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012